Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Stub_Factory.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "ace/Service_Object.h"`
`#include "tao/TAO_Export.h"`

Include dependency graph for Stub_Factory.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Compounds
class | TAO_Stub_Factory

## Detailed Description

Id:
  Stub_Factory.h,v 1.7 2003/10/28 18:29:20 bala Exp

Defines the a factory interface for creating Stubs. This class creates the default stub, that is used in plain CORBA.

Author:
  Angelo Corsaro <corsaro@cs.wustl.edu>